#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: free
version: 4.12.4
id: free-4.12.4-Jg96zolWYJa3X3zzp8DnHv
key: free-4.12.4-Jg96zolWYJa3X3zzp8DnHv
license: BSD3
copyright: Copyright (C) 2008-2015 Edward A. Kmett
maintainer: Edward A. Kmett <ekmett@gmail.com>
stability: provisional
homepage: http://github.com/ekmett/free/
synopsis: Monads for free
description:
    Free monads are useful for many tree-like structures and domain specific languages.
    .
    If @f@ is a '\''Functor'\'' then the free '\''Monad'\'' on @f@ is the type
    of trees whose nodes are labeled with the constructors of @f@. The word
    \"free\" is used in the sense of \"unrestricted\" rather than \"zero-cost\":
    @Free f@ makes no constraining assumptions beyond those given by @f@ and the
    definition of '\''Monad'\''. As used here it is a standard term from the
    mathematical theory of adjoint functors.
    .
    Cofree comonads are dual to free monads. They provide convenient ways to talk
    about branching streams and rose-trees, and can be used to annotate syntax
    trees. The cofree comonad can be seen as a stream parameterized by a '\''Functor'\''
    that controls its branching factor.
    .
    More information on free monads, including examples, can be found in the
    following blog posts:
    <http://comonad.com/reader/2008/monads-for-free/>
    <http://comonad.com/reader/2011/free-monads-for-less/>
category: Control, Monads
author: Edward A. Kmett
exposed: True
indefinite: False
exposed-modules:
    Control.Alternative.Free Control.Alternative.Free.Final
    Control.Applicative.Free Control.Applicative.Free.Final
    Control.Applicative.Trans.Free Control.Comonad.Cofree
    Control.Comonad.Cofree.Class Control.Comonad.Trans.Cofree
    Control.Comonad.Trans.Coiter Control.Monad.Free
    Control.Monad.Free.Church Control.Monad.Free.Class
    Control.Monad.Free.TH Control.Monad.Trans.Free
    Control.Monad.Trans.Free.Church Control.Monad.Trans.Iter
abi: cf2f499c8e30e552eb342a632643ab2d
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/free-4.12.4
library-dirs: /usr/lib/ghc-8.2.1/site-local/free-4.12.4
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.1/free-4.12.4
hs-libraries: HSfree-4.12.4-Jg96zolWYJa3X3zzp8DnHv
depends:
    base-4.10.0.0 bifunctors-5.4.2-EkvLHEGusmL2QBUCGZ7PSE
    comonad-5.0.2-AAFyIh6Dm39islDxts6T3
    distributive-0.5.3-99ryfobDi0e5qzYasSVH5G
    mtl-2.2.1-19EL8AGBsN3DnnOhrC9xY3
    prelude-extras-0.4.0.3-E2TUDUJSI3wDl8mkUzsaKv
    profunctors-5.2.1-tcGHrJuwpB2Qib1uMFFo0
    semigroupoids-5.2.1-BrFpsm3Xb4SLTmLSosQvtp
    semigroups-0.18.3-6KPIVJcHqOOBHjBl8WA5LP transformers-0.5.2.0
    transformers-compat-0.5.1.4-8ofY1OHzPhX5dvYk512o2v
    template-haskell-2.12.0.0 exceptions-0.8.3-BkxQoXHQAbWGd28nf3VeZ6
    containers-0.5.10.2
abi-depends: base-4.10.0.0=835a16347ec1b210054efd02671c29ee
             bifunctors-5.4.2-EkvLHEGusmL2QBUCGZ7PSE=339c00834bb4e63000d8fbc198c7bd3f
             comonad-5.0.2-AAFyIh6Dm39islDxts6T3=e435daeed8e5e8f3fb3762bba345f59e
             distributive-0.5.3-99ryfobDi0e5qzYasSVH5G=55d15f1598904712f5a9bd44899181d1
             mtl-2.2.1-19EL8AGBsN3DnnOhrC9xY3=dff2eda61fc7cfa040a2eb3f0192c69a
             prelude-extras-0.4.0.3-E2TUDUJSI3wDl8mkUzsaKv=43963279f2cb0fb9b38542fba130c2f7
             profunctors-5.2.1-tcGHrJuwpB2Qib1uMFFo0=452ba470dee5468fae2df131cd1708d4
             semigroupoids-5.2.1-BrFpsm3Xb4SLTmLSosQvtp=e742de7d30914c6cf37674aca543980e
             semigroups-0.18.3-6KPIVJcHqOOBHjBl8WA5LP=f833729171d8aeedacf984b736ec248c
             transformers-0.5.2.0=2645d250dd615ce454f807270041c5ea
             transformers-compat-0.5.1.4-8ofY1OHzPhX5dvYk512o2v=be80f3d454efcaa9a115f9c6da29209c
             template-haskell-2.12.0.0=f12600dbe1b363b1dcebe6addb7b269e
             exceptions-0.8.3-BkxQoXHQAbWGd28nf3VeZ6=98ab8c145be258d01b7a6333e00858ed
             containers-0.5.10.2=dd4e66fa9ac268f47a15786f1100b042
haddock-interfaces: /usr/share/doc/haskell-free/html/free.haddock
haddock-html: /usr/share/doc/haskell-free/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

